# SofortLibJava @ 2014-2016 SOFORT GmbH

## English Version

This document describes the SofortLibJava itself, its components, the start-up, and the test and further development options.

### Description

The SofortLibJava library allows you to communicate with the SOFORT API by Java means to integrate the SOFORT products in your system on Java basis.

More information on the API/SDK can be found here:
https://www.sofort.com/integrationCenter-ger-DE/integration/API-SDK/

The following SOFORT products are currently supported by the SofortLibJava:

1. SOFORT Banking (Payment)
2. SOFORT Banking Paycode
3. SOFORT Banking Billcode
4. Refunds
5. iDEAL

### Testing

To run the testsuite:
```
./gradlew check
```

### Integration

sofortlib-java is available on maven central.
```
http://search.maven.org/#search|ga|1|sofortlib-java
```

### Examples of usage

Examples of usage of products can be found in the "examples" source folder.


## German Version

In diesem Dokument werden SofortLibJava selbst, deren Bestandteile, die Inbetriebnahme, die Test- und die Weiterenwicklungs-Möglichkeiten kurz erläutert.

### Beschreibung

Die SofortLibJava Bibliothek bietet Ihnen die Möglichkeit mit der SOFORT API mit Java Mitteln zu kommunizieren und damit die SOFORT Produkte auf Java Basis in Ihr System zu integrieren.

Nähere Informationen zur API/SDK finden Sie hier:
https://www.sofort.com/integrationCenter-ger-DE/integration/API-SDK/

Folgende SOFORT Produkte werden aktuell von der SofortLibJava unterstützt:

1. SOFORT Überweisung (SOFORT Banking/Payment)
2. SOFORT Überweisung Paycode
3. SOFORT Überweisung Billcode
4. Rückbuchungen (Refund)
5. iDEAL

### Testing

To run the testsuite:
```
./gradlew check
```

### Integration

sofortlib-java is verfügbar auf maven central:
```
http://search.maven.org/#search|ga|1|sofortlib-java
```

### Beispiele

Die Beispiele zum Nutzen von eizelnen Produkten liegen in dem "examples" Verzeichnis.
